Subject: Re: sysv support to stubby (attached the necessary files)

From: Alexis PM <[email-masked]>
Date: Mon, 4 Apr 2022 16:25:48 +0000 (UTC)

Sorry, I had to increase the S and K values in update-rc.d in postinst (which I re-attached).

Thank you very much.

PS:
f10db4361797f339a6f911e42537cb361ec6b3e8156bfe44543d69a24a8c27ed _etc_init.d_stubby
702e5a2e0367a922001362570ae5ccbd9faf79e27f017991ca882ae580ed6e7d postinst
da2820bb43519f8fad7e3f12bc117b970dc22997993b2814b3829949fea96f04 postrm
b25ae37f127ae7289eec246663e952094e88aad1bb04bbb0671d8e828585562c prerm

> Package: stubby
> Version: 1.6.0-2
> Severity: severe
>
> Dear maintainer
>
> The current stubby package in Debian and Devuan only works with systemd and has no sysv support, so it is unusable as there is no daemon running on a sysv system like Devuan.
>
> I have reported this bug to Debian with normal severity and suggested backporting to the current stable: https://bugs.debian.org/1008931
>
> For Devuan the category is severe because it makes the package unusable or mostly, and I consider that (rather than being an important package for security) the fixed package should be integrated in the main, update or security branch of stable, not in the optional and often disabled backports.
>
> Add sysv support to stubby would simply be to replace or merge the postinst, prerm and postrm attachments (containing sysv support) in place/with the currently packaged ones (exclusively systemd, so direct replacement is feasible for Devuan) plus incorporate /etc/init.d/stubby (the attachment is renamed to _etc_init.d_stubby) into the package.
>
> The original author of the named _etc_init.d_stubby is Marcos Del Sol Vives.
>
> f10db4361797f339a6f911e42537cb361ec6b3e8156bfe44543d69a24a8c27ed _etc_init.d_stubby
> 47174daa8b7858e8716202b8e5ea5bc3f4a54d6141c2e043edd03020fbb9a2d8 postinst
> da2820bb43519f8fad7e3f12bc117b970dc22997993b2814b3829949fea96f04 postrm
> b25ae37f127ae7289eec246663e952094e88aad1bb04bbb0671d8e828585562c prerm
>
> Thank you very much.
>